#
# spec file for package time
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           time
Version:        1.7
Release:        11.3
Summary:        Run Programs And Summarize System Resource Usage
License:        GPL-2.0+
Group:          System/Base
Url:            http://www.gnu.org/software/time/
Source:         %{name}-%{version}.tar.bz2
Source1:        %{name}.rpmlintrc
# Sync with:
# Debian version: 1.7-24, patch naming: s/^/time-debian-/
# Fedora version: 1.7-44, patch naming: s/^time-1.7/^time-fedora/
# PATCH-FIX-OPENSUSE time-alpha.patch ro@suse.de -- Fix compilation on Alpha.
Patch1:         time-alpha.patch
# PATCH-FIX-OPENSUSE time-fsf-address.patch sbrabec@suse.cz -- Fix FSF address.
Patch2:         time-fsf-address.patch
# Patch10 time-fedora-destdir.patch not applied, use Debian patch and autoreconf instead
# PATCH-FEATURE-FEDORA time-fedora-verbose.patch sbrabec@suse.cz -- Roman Rakus <rrakus@redhat.cz> - 1.7-33 - Added patch from JW (redhat@zacglen.com), less nonverbose output.
Patch11:        time-fedora-verbose.patch
# PATCH-FIX-FEDORA time-fedora-ru_maxrss-is-in-kilobytes-on-Linux.patch Redhat#702826 bnc#836049 sbrabec@suse.cz -- Petr Pisar <ppisar@redhat.com> - 1.7-39 - Fix maximal RSS report.
Patch12:        time-fedora-ru_maxrss-is-in-kilobytes-on-Linux.patch
# Bug Redhat#527276 Recompute CPU usage at microsecond level
# PATCH-FEATURE-FEDORA time-fedora-Recompute-CPU-usage-at-microsecond-level.patch Redhat#527276 sbrabec@suse.cz -- H.J. Lu <hongjiu.lu@intel.com> - Switch to microsecond accuracy if miliseconds arithmetic rounds to zero.
Patch13:        time-fedora-Recompute-CPU-usage-at-microsecond-level.patch
# PATCH-FIX-DEBIAN time-debian-non-normal-exit.patch sbrabec@suse.cz -- When time exits in a non-normal way, return 128 plus the number of the signal which caused time to stop or abort.
Patch20:        time-debian-non-normal-exit.patch
# Patch21 time-debian-ru_maxrss.patch not applied, Fedora had it earlier.
# PATCH-FIX-DEBIAN time-debian-rusage-portability.patch Debian#144819 sbrabec@suse.cz -- struct rusage and sys/resource.h portability fix.
Patch22:        time-debian-rusage-portability.patch
# PATCH-FEATURE-DEBIAN time-debian-quiet.patch Debian#56853 sbrabec@suse.cz -- Add -q,--quiet functionality.
Patch23:        time-debian-quiet.patch
# PATCH-FIX-DEBIAN time-debian-bug-address.patch Debian#542469 sbrabec@suse.cz -- Update bug reporting address.
Patch24:        time-debian-bug-address.patch
# PATCH-FIX-DEBIAN time-debian-configure.patch sbrabec@suse.cz -- Modernize the configure.in file to current autoconf style.
Patch25:        time-debian-configure.patch
# PATCH-FEATURE-DEBIAN time-debian-info-direntry.patch sbrabec@suse.cz -- Add a directory entry to the info page.
Patch26:        time-debian-info-direntry.patch
# PATCH-FEATURE-DEBIAN time-debian-info-nav.patch sbrabec@suse.cz -- Fix info navigation structure. Reported by Russ Allbery. Author: Bob Proulx.
Patch27:        time-debian-info-nav.patch
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  makeinfo
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
PreReq:         %install_info_prereq
# Split-provides for openSUSE <= 12.3 and SLE <= 11:
Provides:       util-linux:/usr/bin/time

%description
The "time" command runs another program, then displays information
about the resources used by that program, collected by the system
while the program was running.

%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch20 -p1
%patch22 -p1
%patch23 -p1
%patch24 -p1
%patch25 -p1
%patch26 -p1
%patch27 -p1

%build
autoreconf -f -i
%configure
make %{?_smp_mflags}

%install
%makeinstall
install -d %{buildroot}%{_mandir}/man1

%post
%install_info --entry="* time: (time). summarizing used system resources" --info-dir="%_infodir" "%_infodir/time.info.gz"

%postun
%install_info_delete --info-dir="%_infodir" "%_infodir/time.info.gz"

%files
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README
%{_bindir}/time
%{_infodir}/time.info*.gz

%changelog
* Fri May 23 2014 sbrabec@suse.cz
- Add time.rpmlint suppressing the missing time man page warning.
* Tue May 20 2014 pgajdos@suse.com
- remove time.1 [bnc#878057]
* Thu Sep  5 2013 sbrabec@suse.cz
- Sync patches with Debian and Fedora:
  * Add man page (time.1).
  * Less nonverbose output (time-fedora-verbose.patch).
  * Fix maximal RSS report
    (time-fedora-ru_maxrss-is-in-kilobytes-on-Linux.patch,
    bnc#836049, Redhat#702826).
  * Switch to microsecond accuracy if miliseconds arithmetic rounds
    to zero
    (time-fedora-Recompute-CPU-usage-at-microsecond-level.patch,
    Redhat#527276).
  * When time exits in a non-normal way, return 128 plus the number
    of the signal which caused time to stop or abort
    (time-debian-non-normal-exit.patch).
  * struct rusage and sys/resource.h portability fix
    (time-debian-rusage-portability.patch, Debian#144819).
  * Add -q,--quiet functionality
    (time-debian-quiet.patch, Debian#56853).
  * Update bug reporting address
    (time-debian-bug-address.patch, Debian#542469).
  * Modernize the configure.in file to current autoconf style
    (time-debian-configure.patch).
  * Add a directory entry to the info page
    (time-debian-info-direntry.patch).
- Fix FSF address (time-fsf-address.patch).
- Update Summary.
- Rename time-1.7.diff to time-alpha.patch.
* Sun Jan 20 2013 jengelh@inai.de
- Split "time" off util-linux
* Tue Feb 21 2012 puzel@suse.com
- disabled make check for time (noop)
* Thu Oct 31 2002 ro@suse.de
- hack time to build on alpha
